Debian Bug report logs - #685669
live-build: wrong default for LB_PARENT_MIRROR_BINARY_VOLATILE with LB_MODE=ubuntu

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Thu, 23 Aug 2012 08:21:01 UTC

Severity: normal

Tags: patch, pending

Found in version 3.0~a57-1ubuntu1

Fixed in version 3.0~a58-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685669; Package live-build. (Thu, 23 Aug 2012 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 23 Aug 2012 08:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: live-build: wrong default for LB_PARENT_MIRROR_BINARY_VOLATILE with LB_MODE=ubuntu
Date: Thu, 23 Aug 2012 09:19:52 +0100
Package: live-build
Version: 3.0~a57-1ubuntu1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch quantal

With LB_MODE=ubuntu, the final fallback setting for
LB_PARENT_MIRROR_BINARY_VOLATILE is the value of LB_PARENT_MIRROR, which
is mentioned nowhere else.  I believe this ought to be
LB_PARENT_MIRROR_BINARY instead.

Index: b/functions/defaults.sh
===================================================================
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -596,7 +596,7 @@
 					;;
 			esac
 
-			LB_PARENT_MIRROR_BINARY_VOLATILE="${LB_PARENT_MIRROR_BINARY_VOLATILE:-${LB_PARENT_MIRROR}}"
+			LB_PARENT_MIRROR_BINARY_VOLATILE="${LB_PARENT_MIRROR_BINARY_VOLATILE:-${LB_PARENT_MIRROR_BINARY}}"
 			;;
 
 		*)

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685669; Package live-build. (Mon, 27 Aug 2012 12:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 27 Aug 2012 12:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 685669@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 685669-submitter@bugs.debian.org
Cc: 685669@bugs.debian.org
Subject: Re: live-build: wrong default for LB_PARENT_MIRROR_BINARY_VOLATILE with LB_MODE=ubuntu
Date: Mon, 27 Aug 2012 14:02:44 +0200
tag 685669 pending
thanks

this has already been fixed in git a couple of weeks ago (14f57935), 
preferably you'll send patches against the git development tree, so you 
see if something is already fixed before sending a patch for it.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 12:06:07 GMT) Full text and rfc822 format available.

Message sent on to Colin Watson <cjwatson@ubuntu.com>:
Bug#685669. (Mon, 27 Aug 2012 12:06:14 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.0~a58-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 14:45:09 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 14:45:09 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 27 Aug 2012 14:45:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Sep 2012 07:27:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:32:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.